#
# Conditional build:
%bcond_without	subunit	# support for subunit test protocol

Summary:	Check - unit testing framework for C
Summary(pl.UTF-8):	Check - szkielet testów jednostkowych dla C
Name:		check
Version:	0.12.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/libcheck/check/releases
Source0:	https://github.com/libcheck/check/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	31b17c6075820a434119592941186f70
Patch0:		%{name}-info.patch
URL:		https://libcheck.github.io/check/
# aclocal required for %{_aclocaldir}
BuildRequires:	automake >= 1:1.11.2
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
%{?with_subunit:BuildRequires:	subunit-devel}
BuildRequires:	texinfo >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
Check is a unit test framework for C. It features a simple interface
for defining unit tests, putting little in the way of the developer.
Tests are run in a separate address space, so Check can catch both
assertion failures and code errors that cause segmentation faults or
other signals. The output from unit tests can be used within source
code editors and IDEs.

This package contains only shared library.

%description -l pl.UTF-8
Check to szkielet testów jednostkowych dla C. Ma prosty interfejs do
definiowania testów jednostkowych, nie przeszkadzający zbytnio
programiście. Testy są uruchamiane w wydzielonej przestrzeni
adresowej, dzięki czemu Check może wyłapać zarówno niepowodzenia
zapewnień (assert), jak i błędy w kodzie powodujące naruszenie ochrony
pamięci lub inne sygnały. Wyjście z testów jednostkowych może być
używane z poziomu edytorów kodu źródłowego i IDE.

Ten pakiet zawiera tylko bibliotekę współdzieloną.

%package devel
Summary:	Headers for developing programs with check library
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów przy użyciu biblioteki checka
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_subunit:Requires:	subunit-devel}

%description devel
Headers for developing programs with check library.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów przy użyciu biblioteki checka.

%package static
Summary:	Static check library
Summary(pl.UTF-8):	Biblioteka statyczna check
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static check library.

%description static -l pl.UTF-8
Biblioteka statyczna check.

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="%{rpmcflags} -fPIC"
%configure \
	%{!?with_subunit:--disable-subunit}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	exampledir=%{_examplesdir}/%{name}-%{version} \
	examplesrcdir=%{_examplesdir}/%{name}-%{version}/src \
	exampletestsdir=%{_examplesdir}/%{name}-%{version}/tests \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcheck.la
%{__rm} -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libcheck.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcheck.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/checkmk
%attr(755,root,root) %{_libdir}/libcheck.so
%{_includedir}/check.h
%{_includedir}/check_stdint.h
%{_aclocaldir}/check.m4
%{_pkgconfigdir}/check.pc
%{_mandir}/man1/checkmk.1*
%{_infodir}/check.info*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libcheck.a
%changelog
* Fri May 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/check.git;a=log;h=master

* Fri May 17 2019 Jakub Bogusz <qboosh@pld-linux.org> dc573ce
- new URLs, updated to 0.12.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5975a8e
- x32 rebuild
- release 2 (by relup.sh)

* Sun Sep 29 2013 Jakub Bogusz <qboosh@pld-linux.org> b291956
- updated to 0.9.10

* Mon Aug 23 2010 Jakub Bogusz <qboosh@pld-linux.org> eda7033
- pl for -devel

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> ad7c7a3
- release 2

* Mon Apr 19 2010 Elan Ruusamäe <glen@pld-linux.org> a661bf6
- up to 0.9.8
- package ghost soname symlink
- fix-info-dir on -devel

* Sat Jan 30 2010 Elan Ruusamäe <glen@pld-linux.org> 28297c4
- -devel subpackage (parted links with libcheck.so); rel 2

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> 4713b48
- no need for libstdc++-devel, just undefine __cxx

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> 8c92c75
- BR: automake, libstdc++-devel

* Sat Jun 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 5a1f9cd
- added info patch
- use normal configure

* Sat Jun 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 524cbb0
- main page is better

* Sat Jun 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 09a6b8a
- unify direntry

* Sat Jun 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 1b5e9f8
- separated static lib

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 39525af
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ff212a4
- converted to UTF-8

* Sun Jan 21 2007 darekr <darekr@pld-linux.org> 2a5d9e9
- more docs

* Sun Jan 21 2007 Jakub Bogusz <qboosh@pld-linux.org> 78e36e0
- ldconfig, .so symlink

* Tue Jan 16 2007 Szymon Siwek <sls@pld-linux.org> 1bc5c11
- installing examples in _examplesdir
- rm _docdir/name

* Tue Jan 16 2007 Szymon Siwek <sls@pld-linux.org> f3f03e5
- manual in texinfo format (added BR: texinfo; post, postun)
- more files
- BR: libtool

* Tue Jan 16 2007 Szymon Siwek <sls@pld-linux.org> a3ffaac
- 0.9.5 (NFY - fetched source)

